Subject: Re: [Patch 4/5] Network Drop Monitor: Adding drop monitor implementation & Netlink protocol

From: Patrick McHardy <[email-masked]>
Date: Thu, 02 Apr 2009 16:57:36 +0200

Herbert Xu wrote:
> On Thu, Apr 02, 2009 at 04:42:18PM +0200, Patrick McHardy wrote:
>> Actually we should be fine since the current netlink helpers only do
>> bytewise copying anyways. And I think we've pretty much gotten rid of
>> all the raw attribute accesses.
> 
> What about stuff like xfrm_userpolicy_info? I suppose if *everything*
> is copied then it wouldn't matter.

I didn't spot the problem, it seems it alreay copies all (sub)structures
that have larger alignment requirements.

Presuming I simply missed it, I think it would be best to gradually
move to a set of nested attributes since some of the structures also
have holes that are currently not cleared during dumping (I guess not
a big deal since its root-only) and IIRC there are some 32/64 bit
compatibility issues.